### Method

# Gtk TextIter backward_to_tag_toggle

#### Declaration [src]

    gboolean
    gtk_text_iter_backward_to_tag_toggle (
      GtkTextIter* iter,
      GtkTextTag* tag
    )

#### Description [src]

Moves backward to the next toggle (on or off) of the `tag`, or to the next toggle of any tag if `tag` is `NULL`.

If no matching tag toggles are found, returns `FALSE`, otherwise `TRUE`. Does not return toggles located at `iter`, only toggles before `iter`. Sets `iter` to the location of the toggle, or the start of the buffer if no toggle is found.

#### Parameters

`tag`

  Type: `GtkTextTag`

  A `GtkTextTag`

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

Whether we found a tag toggle before `iter`.